environment-ip: ENC(qMGm7BJ9sQkx2FWU9JJuHIl1b7pwY3NO)
#environment-ip: localhost
server:
  port: 8406

spring:
  data:
    redis:
      host: ENC(qMGm7BJ9sQkx2FWU9JJuHIl1b7pwY3NO)
      port: 6379
      password: ENC(dNAOQsOxmsI1L/HsxZ84c6Lw7nQs9ywa)
      #    cluster:
      #      nodes:
      #        - 172.28.30.62:6379
      #        - 172.28.30.62:6380
      #        - 172.28.30.62:6381
      #        - 172.28.30.62:6382
      #        - 172.28.30.62:6383
      #        - 172.28.30.62:6384
      jedis:
        pool:
          # 连接池的最大数据库连接数
          max-active: 9
          #连接池最大阻塞等待时间（使用负值表示没有限制）
          max-wait: 2000
          # 连接池中的最大空闲连接
          max-idle: 9
          # 连接池中的最小空闲连接
          min-idle: 0
          #每ms运行一次空闲连接回收器（独立线程）
          time-between-eviction-runs: 1000
  datasource:
    driver-class-name: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@172.28.30.71:1521:DEVEPMS
    username: dbunionjs
    password: ENC(0SNhMqnAZf/8CCmyXOIjcA==)

pms:
  ai:
    zhiyu:
      base-url: http://10.32.41.228:39080
      api-key:
      model: qwen3.5
      temperature: 0.5
      max-tokens: 50000
      max-iterations: 5
    local:
      base-url: http://172.28.30.253:8001
      api-key: 115e68c85d91d40dd3df42a06f08cbed
      model: Qwen3.5-27B
      temperature: 0.5
      max-tokens: 50000
      max-iterations: 5
    siliconflow:
      base-url: https://api.siliconflow.cn
      api-key: sk-necxquynovkphnulbbfbsopeosgogrsuqgxxctzhbcbpntyh
      model: Qwen/Qwen3.5-122B-A10B
      temperature: 0.2
      max-tokens: 50000
      max-iterations: 5
